org.apache.ignite.internal.processors.igfs

## Class IgfsServerManager

- java.lang.Object
- - org.apache.ignite.internal.processors.igfs.IgfsManager
  - - org.apache.ignite.internal.processors.igfs.IgfsServerManager

    public class IgfsServerManager
    extends IgfsManager

IGFS server manager.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.igfs.IgfsManager

`igfsCtx, log`

### Constructor Summary

Constructors
Constructor and Description
`IgfsServerManager()`

### Method Summary

Methods
`Collection<IpcServerEndpoint>` `endpoints()`
`protected void` `onKernalStart0()`
`protected void` `start0()` Start manager implementation.
`protected void` `stop0(boolean cancel)` Stop manager implementation.

### Methods inherited from class org.apache.ignite.internal.processors.igfs.IgfsManager

`kernalStartInfo, kernalStopInfo, onKernalStart, onKernalStop, onKernalStop0, start, startInfo, stop, stopInfo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IgfsServerManager

    public IgfsServerManager()

### Method Detail

#### start0

    protected void start0()
                   throws IgniteCheckedException

Start manager implementation.

Overrides:
  `start0` in class `IgfsManager`
Throws:
  `IgniteCheckedException`

#### endpoints

    public Collection<IpcServerEndpoint> endpoints()

Returns:
  Collection of active endpoints.

#### onKernalStart0

    protected void onKernalStart0()
                           throws IgniteCheckedException

Overrides:
  `onKernalStart0` in class `IgfsManager`
Throws:
  `IgniteCheckedException` - If failed.

#### stop0

    protected void stop0(boolean cancel)

Stop manager implementation.

Overrides:
  `stop0` in class `IgfsManager`
Parameters:
  `cancel` - Cancel flag.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.7.0
Release Date | : August 1 2016